Prompt
Update systemPrompt and/or dynamicPromptEnabled
Shortcut over PATCH /agents/ for the two prompt-related fields. Setting either flips hasUnpublishedChanges=true on the underlying agent.
PATCH
/
public
/
api
/
v1
/
agents
/
{agentPublicId}
/
prompt
Update systemPrompt and/or dynamicPromptEnabled
curl --request PATCH \
--url https://api.gennia.ai/public/api/v1/agents/{agentPublicId}/prompt \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"dynamicPromptEnabled": true,
"systemPrompt": "You are a friendly support agent for Acme Corp."
}
'import requests
url = "https://api.gennia.ai/public/api/v1/agents/{agentPublicId}/prompt"
payload = {
"dynamicPromptEnabled": True,
"systemPrompt": "You are a friendly support agent for Acme Corp."
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dynamicPromptEnabled: true,
systemPrompt: 'You are a friendly support agent for Acme Corp.'
})
};
fetch('https://api.gennia.ai/public/api/v1/agents/{agentPublicId}/prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dynamicPromptEnabled": true,
"systemPrompt": "<string>",
"variables": [
{
"booleanTextWhenFalse": "<string>",
"booleanTextWhenTrue": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultValue": {},
"description": "<string>",
"label": "<string>",
"multiChoiceSeparator": "<string>",
"name": "<string>",
"options": [
{
"injectedText": "<string>",
"label": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 123
}
],
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required": true,
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"dynamicPromptEnabled": true,
"systemPrompt": "<string>",
"variables": [
{
"booleanTextWhenFalse": "<string>",
"booleanTextWhenTrue": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultValue": {},
"description": "<string>",
"label": "<string>",
"multiChoiceSeparator": "<string>",
"name": "<string>",
"options": [
{
"injectedText": "<string>",
"label": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 123
}
],
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required": true,
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"dynamicPromptEnabled": true,
"systemPrompt": "<string>",
"variables": [
{
"booleanTextWhenFalse": "<string>",
"booleanTextWhenTrue": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultValue": {},
"description": "<string>",
"label": "<string>",
"multiChoiceSeparator": "<string>",
"name": "<string>",
"options": [
{
"injectedText": "<string>",
"label": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 123
}
],
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required": true,
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"dynamicPromptEnabled": true,
"systemPrompt": "<string>",
"variables": [
{
"booleanTextWhenFalse": "<string>",
"booleanTextWhenTrue": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultValue": {},
"description": "<string>",
"label": "<string>",
"multiChoiceSeparator": "<string>",
"name": "<string>",
"options": [
{
"injectedText": "<string>",
"label": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 123
}
],
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required": true,
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Autorizações
Parâmetros de caminho
Corpo
application/json
Body for updating the agent's system prompt and dynamic prompt toggle. Fields are tri-state: omit to leave unchanged, set to a value to update, or send null to clear.
Esta página foi útil?
⌘I
Update systemPrompt and/or dynamicPromptEnabled

